# vim: set sw=4 ts=4 et:

Name:           mplayerplug-in
Version:        3.55+cvs20100124
Release:        3.9
## cvs -z3 -d:pserver:anonymous@mplayerplug-in.cvs.sourceforge.net:/cvsroot/mplayerplug-in co -P mplayerplug-in
Source:         mplayerplug-in-20100124.tar.bz2
Patch1:         mplayerplug-in-fix_buffer_overflow.patch
Patch2:         mplayerplug-in-fix_includes.patch
BuildRoot:      %{_tmppath}/buildroot-%{name}-%{version}
License:        GNU General Public License (GPL)
Group:          Productivity/Multimedia/Video/Players
Summary:        MPlayer Plugin for Firefox/Mozilla
URL:            http://mplayerplug-in.sourceforge.net/
Requires:       MPlayer
BuildRequires:  gcc-c++ libstdc++-devel pkgconfig
BuildRequires:  gtk2-devel libfaad2-devel
BuildRequires:  mDNSResponder-lib
%if %suse_version > 1130
BuildRequires:  mozilla-xulrunner192-devel
%endif
%if %suse_version >= 1130 && %suse_version < 1140
BuildRequires:  mozilla-xulrunner191-devel
%endif
%if %suse_version >= 1020 && %suse_version < 1130
BuildRequires:  mozilla-xulrunner191-devel
%endif
%if %suse_version >= 1010 && %suse_version < 1020
BuildRequires:  gecko-sdk
%endif
%if %suse_version < 1010
BuildRequires:  mozilla-devel
%endif
BuildRequires:  pkgconfig
Provides:       MIME(video/quicktime)
Provides:       MIME(video/x-quicktime)
Provides:       MIME(image/x-quicktime)
Provides:       MIME(application/x-quicktimeplayer)
Provides:       MIME(application/asx)
Provides:       MIME(video/x-ms-asf-plugin)
Provides:       MIME(video/x-msvideo)
Provides:       MIME(video/msvideo)
Provides:       MIME(application/x-mplayer2)
Provides:       MIME(application/x-ms-wmv)
Provides:       MIME(video/x-ms-asf)
Provides:       MIME(video/x-ms-wm)
Provides:       MIME(video/x-ms-wmv)
Provides:       MIME(audio/x-ms-wmv)
Provides:       MIME(video/x-ms-wmp)
Provides:       MIME(application/x-ms-wmp)
Provides:       MIME(video/x-ms-wvx)
Provides:       MIME(audio/x-ms-wax)
Provides:       MIME(audio/x-ms-wma)
Provides:       MIME(application/x-drm-v2)
Provides:       MIME(audio/wav)
Provides:       MIME(audio/x-wav)
Provides:       MIME(audio/x-pn-realaudio
Provides:       MIME(application/vnd.rn-realmedia)
Provides:       MIME(video/vnd.rn-realvideo)
Provides:       MIME(audio/x-realaudio)
Provides:       MIME(audio/x-pn-realaudio-plugin)
Provides:       MIME(application/smil)

%description
mplayerplug-in is a Netscape/Mozilla browser plugin to allow playing embedded movies on web pages.

Should work with Mozilla and MozillaFirefox

%prep
%setup -q -n mplayerplug-in
%patch1
%patch2

%__chmod 0644 ChangeLog README TODO

%build
%configure \
    --with-faad \
    --enable-gtk2 \
    --enable-wmp \
    --enable-qt \
    --enable-rm \
    --enable-gmp \
    --enable-dvx \

%__make %{?jobs:-j%{jobs}}

%install
./install.sh "%{buildroot}"
%__mv %{buildroot}%_libdir/mozilla/plugins %{buildroot}%_libdir/browser-plugins
/bin/rmdir  %{buildroot}%_libdir/mozilla
%__chmod +x %{buildroot}%_libdir/browser-plugins/*xpt
%__install -d %{buildroot}/etc/ld.so.conf.d
pkg-config --libs-only-L xulrunner-plugin | %__perl -npe "s/-L//" > "%{buildroot}/etc/ld.so.conf.d/mplayerplug-in.conf"

%find_lang mplayerplug-in

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
[ -d %{buildroot} -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files -f mplayerplug-in.lang
%defattr (-,root,root)
%doc ChangeLog README TODO
%{_libdir}/browser-plugins/mplayerplug-in.so
%{_libdir}/browser-plugins/mplayerplug-in.xpt
%{_libdir}/browser-plugins/mplayerplug-in-dvx.so
%{_libdir}/browser-plugins/mplayerplug-in-dvx.xpt
%{_libdir}/browser-plugins/mplayerplug-in-gmp.so
%{_libdir}/browser-plugins/mplayerplug-in-gmp.xpt
%{_libdir}/browser-plugins/mplayerplug-in-qt.so
%{_libdir}/browser-plugins/mplayerplug-in-qt.xpt
%{_libdir}/browser-plugins/mplayerplug-in-rm.so
%{_libdir}/browser-plugins/mplayerplug-in-rm.xpt
%{_libdir}/browser-plugins/mplayerplug-in-wmp.so
%{_libdir}/browser-plugins/mplayerplug-in-wmp.xpt
%config %{_sysconfdir}/%{name}.*
%config /etc/ld.so.conf.d/mplayerplug-in.conf

%changelog
* Sat Jul 24 2010 pascal.bleser@opensuse.org
- update to 20100124:
  * fixes crashes in RAM parser
* Fri Jul 11 2008 guru@unixtech.be
- add MIME provides
- some spec file fixes
- update to 3.55
* Sun Dec 30 2007 oliver@links2linux.de
- updated to 3.50
* Fri Oct  5 2007 oliver@links2linux.de
- fixed RPM-Group
* Thu Oct  4 2007 oliver@links2linux.de
- updated to 3.45
* Mon Mar 26 2007 oliver@links2linux.de
- updated to 3.40
* Thu Dec 14 2006 oliver@links2linux.de
- removed X support for gtk2
* Mon Dec 11 2006 oliver@links2linux.de
- fixed BuildRequires for 10.2
- delete patch, is upstream
* Wed Dec  6 2006 james@usr-local-bin.org
- updated to 3.31
- Added mplayerplug-in-dvx.*
* Fri Jul 14 2006 rainer@links2linux.de
- removed enable-x; opera requires it, but menu is missing this way
* Mon Jun 26 2006 rainer@links2linux.de
- added opera patch and hack in /etc/ld.so.conf.d
* Sun May 14 2006 rainer@links2linux.de
- adjusted for 10.1
- thx to jsiebert@arcor.de
* Fri Aug 12 2005 rainer@links2linux.de
- fix for postun
* Thu Aug 11 2005 rainer@links2linux.de
- added xpi
* Tue Sep 28 2004 rainer@links2linux.de
- enabled for MozillaFirefox
* Tue Nov 18 2003 rainer@links2linux.de
- adjusted mozilla plugin path
* Mon Nov 17 2003 rainer@links2linux.de
- added etc files
- added german desc
* Sun Jun  8 2003 henne@links2linux.de
- Initial Package, Version 0.80
